Subject: bug#17561: Emacs can forget processes

From: Jorgen Schaefer <[email-masked]>
Date: Wed, 28 May 2014 00:16:41 +0200

On Tue, 27 May 2014 14:42:03 -0700
Paul Eggert <[email-masked]> wrote:

> Let's start by trying to build a dynamic test for it.
> Can you please build and run the attached program, and see whether
> you can get it to output the message "vfork bug detected" on your
> platform? Please compile it with the same compiler and flags that you
> use to compile Emacs.  You may need to invoke the test program with
> arguments, e.g., "./a.out 100 10000" to try the test 100 times with a
> delay of 10,000 nanoseconds.  The goal is to detect the vfork bug as
> quickly as possible, so if you can detect it it'd be nice to see how
> small we can make the delay.  You might also try to run the test
> program under strace to see whether that changes things. Thanks.

Compiled using:

gcc -std=gnu99 -g3 -O2 -MMD -Wl,-znocombreloc -o vfork-test vfork-test.c

Ran as:

./vfork-test 1000 1000000
strace -ttf -o /dev/null ./vfork-test 10000 1000000

No output.

I also changed the delay to 1s just to test that, but no dice, either.

:-(

Jorgen